## ros-rolling-quality-of-service-demo-py 0.19.0

=== debian/changelog ===
ros-rolling-quality-of-service-demo-py (0.19.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.18.0-1focal) focal; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Update python nodes SIGINT handling (#539 <https://github.com/ros2/demos/issues/539>)
  * Contributors: Audrow Nash, Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.17.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 18 Oct 2021 07:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.16.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 11 Aug 2021 07:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.15.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 14 May 2021 07:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.14.2-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.14.1-1focal) focal; urgency=high

  * Use underscores instead of dashes in setup.cfg (#502 <https://github.com/ros2/demos/issues/502>)
  * Contributors: Ivan Santiago Paunovic

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.14.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.13.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.12.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.12.0-1focal) focal; urgency=high

  * QoS overrides demo in python (#479 <https://github.com/ros2/demos/issues/479>)
  * Contributors: Ivan Santiago Paunovic

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.11.0-1focal) focal; urgency=high

  * Update deprecated qos policy value names (#468 <https://github.com/ros2/demos/issues/468>)
  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Ivan Santiago Paunovic, Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.10.1-1focal) focal; urgency=high

  * Add rclpy message lost status event demo (#457 <https://github.com/ros2/demos/issues/457>)
  * Contributors: Ivan Santiago Paunovic

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Mon, 21 Sep 2020 07:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.10.0-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Wed, 17 Jun 2020 07:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.9.3-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.9.2-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.9.1-1focal) focal; urgency=high

  * Remove MANUAL_BY_NODE liveliness usage (#444 <https://github.com/ros2/demos/issues/444>)
  * Contributors: Ivan Santiago Paunovic

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Tue, 12 May 2020 07:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.9.0-1focal) focal; urgency=high

  * Demo to show the working of the incompatible_qos event callbacks. (#416 <https://github.com/ros2/demos/issues/416>)
  * Use imperative mood in docstring. (#422 <https://github.com/ros2/demos/issues/422>)
  * Contributors: Jaison Titus, Steven! Ragnarök

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Thu, 30 Apr 2020 07:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.8.4-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Tue, 19 Nov 2019 08:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.8.3-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Mon, 11 Nov 2019 08:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.8.2-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Fri, 08 Nov 2019 08:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.8.1-1focal) focal; urgency=high

  * Update setup.py versions
  * Contributors: Jacob Perron

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.8.0-1focal) focal; urgency=high

  * Fix spelling of pytest marker (#391 <https://github.com/ros2/demos/issues/391>)
  * Contributors: Dirk Thomas

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Thu, 26 Sep 2019 07:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.7.6-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Thu, 30 May 2019 07:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.7.5-1focal) focal; urgency=high

  * Use a positional argument for the quality of service demo. (#359 <https://github.com/ros2/demos/issues/359>)
  * Switch to qos_profile instead of qos_or_depth. (#357 <https://github.com/ros2/demos/issues/357>)
  * Be explicit about reliability in Lifespan demo, to depend less on defaults (#350 <https://github.com/ros2/demos/issues/350>)
  * Contributors: Chris Lalancette, Emerson Knapp

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Wed, 29 May 2019 07:00:00 -0000


